%define upstream_name   Authen-Simple-LDAP
%define upstream_version 0.3
%define release    %mkrel 3

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Simple LDAP authentication
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Authen/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Authen::Simple)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(Net::LDAP)
BuildArch:  noarch

%description
Authenticate against a LDAP service.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
#make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.300.0-1.mga4
+ Revision: 502347
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.300.0-1.mga3
+ Revision: 254569
- update to 0.3

* Sun Jan 23 2011 jquelin <jquelin> 0.200.0-1.mga1
+ Revision: 33582
- mageia rebuild
- imported package perl-Authen-Simple-LDAP


* Fri Feb 12 2010 Jérôme Quelin <jquelin@mandriva.org> 0.200.0-1mdv2010.1
+ Revision: 504580
- rebuild using %%perl_convert_version

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.2-1mdv2009.1
+ Revision: 292550
- import perl-Authen-Simple-LDAP


* Thu Oct 09 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.2-1mdv2009.1
- initial mdv release, generated with cpan2dist
